export type FeatureFlagName = keyof typeof FEATURE_FLAGS;

const FEATURE_FLAGS = {
	MANUAL_MODE: true /** can use config (params) to disable on app level - @todo */,
} as const satisfies Record<string, boolean>;

export function canViewFeature(featureName: FeatureFlagName) {
	return FEATURE_FLAGS[featureName];
}
